# Transform dataset variables to wide-format for analysis

# read in dataset
dataset <- readRDS("dataset.rds")

# select proposal event and procedure
dataset <- dataset[which(dataset$event=='proposal' & dataset$doc=='proposal'),]

# remove doc and event identifiers
dataset$doc <- NULL
dataset$event <- NULL

# rename variables to include proposal in variable names
names(dataset) <- gsub('(^doc_|^e_)(.*)', '\\1proposal_\\2', names(dataset), perl =TRUE)

# write out wide-dataset
# saveRDS(dataset, 'dataset_wide.rds')
